<?php
define('PROTECTOR', 1);

include('files/db.php');

$log=mysql_real_escape_string($_GET['login']);
$kol=intval($_GET['kol']);

if(!empty($log) and !empty($kol)){

if($kol==1){$tex="алмаз";}
if($kol>=2){$tex="алмаза";}
if($kol>=5){$tex="алмазов";}
$rest = substr("$kol", -1);
if($kol>=21 and $rest==1){$tex="алмаз";}
if($kol>=21 and $rest>=2 and $rest<=4){$tex="алмаза";}
if($kol>=21 and $rest>=5){$tex="алмазов";}
if($rest==0){$tex="алмазов";}

$text="Вы успешно обменяли $kol $tex!";
$usr = mysql_query("SELECT * FROM `users` WHERE `usr`='$log'");
$data = mysql_fetch_array($usr); 
mysql_query("UPDATE `users` SET `almaz` = '$data[almaz]'+'$kol' WHERE `usr` = '$log' LIMIT 1") or die (mysql_error());
mysql_query("INSERT INTO `msg_r` SET `user_from` = 'Обработчик платежей', `user_to` = '$log', `time` = '$time', `read` = 1, `mail_msg` = '$text'") or die (mysql_error());
echo'OK';
}





?>